Subject: plug-gw on Linux Redhat Version 6.1

From: Chris Thuet <[email-masked]>
Date: Wed, 30 Aug 2000 13:11:32 -0500

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

All

 I am trying to move my firewall from FreeBSD to Redhat Linux Version 6.1.
All the services for the Firewall Toolkit work except for the plug-gw. I set
it up exactly like the FreeBSD system but it still gets denied.

Example

inetd.conf:
weblogic stream  tcp    nowait   root   /usr/local/etc/plug-gw plug-gw
weblogic

services:
weblogic 9764/tcp

netperm-table:
plug-gw:        port weblogic permit-hosts 198.31.*.*     -plug-to
eagle.strata-group.com  

error:
Aug 25 11:23:20 firewall plug-gw[2313]: deny host=unknown/198.31.118.248
service=weblogic    

Everything appears to be set up properly but everytime I use the plug-gw it
fails with a denial of service. Does anyone have any ideas?

Thanks for you help in advance.

Christopher J. Thuet
System Administrator
Strata Group
314/770-9642
314/770-9699 fax
[email-masked]

---

From: Mark C Farone <[email-masked]>
Date: Wed, 30 Aug 2000 15:55:48 -0400

>plug-gw:        port weblogic permit-hosts 198.31.*.*     -plug-to

If you're using v2.1 of the toolkit, here's the syntax which works for me:
plug-gw: port weblogic 198.31.*.* -plug-to eagle.strata-group.com

although, on occasion, I've had some redhat machines have problems 
with resolving service numbers and resort to a line like this:
plug-gw: port 9764 198.31.*.* -plug-to eagle.strata-group.com

Best,
Mark
-- 
Mark C. Farone <[email-masked]>   In the future,
Systems Analyst, Gainesville Sun        everything will work.

---

From: [email-masked]
Date: Thu, 31 Aug 2000 14:30:17 +0400

-----BEGIN PGP SIGNED MESSAGE-----

nuqneH,

 >  I am trying to move my firewall from FreeBSD to Redhat Linux Version 6.1.

What for?!
                                      _     _  _  _  _      _  _
  {::} {::} {::}  CU in Hell          _| o |_ | | _|| |   / _||_|   |_ |_ |_
  (##) (##) (##)        /Arkan#iD    |_  o  _||_| _||_| /   _|  | o |_||_||_|
  [||] [||] [||]            Do i believe in Bible? Hell,man,i've seen one!